Results 1 to 5 of 5
  1. #1

    Blender 2.8 Problem importing 3ds max files

    blender 2.8 give me this error anyone can help me please???

    traceback ( most recent call last):
    File "C:\Users\xxxx\Desktop\Blender-2.80.0 -git bbbdb27 - windows64\2.80\scripts\addons\io_scene_obj\_init_. py" line 142, in execute keywords ("use_cycles) = (context.scene.render.engine= = 'CYCLES')
    AtributeError. 'RenderSettingsobject has no attribute 'engine'


    locatioin <unknown location>:-1



    already tried to import in other formats but without success


    already tried to import in other formats but without success
    Attached Thumbnails Attached Thumbnails Click image for larger version. 

Name:	blender error.jpg 
Views:	8 
Size:	308.6 KB 
ID:	511374  




  2. #2
    Blender 2.8 is a work-in-progress. It is an half-useable version of Blender.
    Any blender 2.8 build that can be used is a sneak peak to what a 2.80 beta will look like.
    It is a future version of blender that does not handle very well current .blend files, yet.

    If it may not work well with .blend files : of course, it does not work with any other format.
    Just try to import your 3Dsmax scene in blender 2.79 to create a .blend file. And then, you will have a chance to open this .blend file in 2.8.
    But currently, there is no guarantee that it will work either. There will probably be something that will not be animated or correctly assigned.



  3. #3
    Member
    Join Date
    Feb 2016
    Location
    Cheshire, UK
    Posts
    164
    Originally Posted by husk1234 View Post
    blender 2.8 give me this error anyone can help me please???

    traceback ( most recent call last):
    File "C:\Users\xxxx\Desktop\Blender-2.80.0 -git bbbdb27 - windows64\2.80\scripts\addons\io_scene_obj\_init_. py" line 142, in execute keywords ("use_cycles) = (context.scene.render.engine= = 'CYCLES')
    AtributeError. 'RenderSettingsobject has no attribute 'engine'


    locatioin <unknown location>:-1



    already tried to import in other formats but without success


    already tried to import in other formats but without success
    Are you using FBX ? Try an earlier version of the FBX binary format on the 3DSMax Export dialog. Test the same file in 2.79, if that works then save the .blend and open it in 2.8

    Or do "Export Selected" in Max and not the entire max scene. Only export what you need. Collapse the max stack for objects that have modifiers. etc Uncheck things you don't need like "animation", baking, camera, lights etc. If that still fails then apply a "standard material" to all your objects and try again. Set the Max renderer to Default before export too.

    In additional to all that, I bet the problem is with a non rendered object, like a max helper, constraint, user grid or something where you need to select the "convert bones to dummies" and also bake keys if you have hard coded animation. Not in front of my Max machine at the moment. All that is in the FBX Export dialog. I never use OBJ.
    Last edited by D3Pixel; 12-Jan-18 at 07:39.



  4. #4
    BA Crew Fweeb's Avatar
    Join Date
    Sep 2003
    Location
    Atlanta, GA, USA
    Posts
    10,271
    Moved from "General Forums > Blender and CG Discussions" to "Support > Technical Support"

    Blender 2.8 is under heavy development at the moment and certainly should not be used for production work at this time. If you're testing it out, though, and you have an issue, your best option is to speak with Blender developers directly on IRC.



  5. #5
    Member
    Join Date
    Sep 2012
    Posts
    3,218
    IDK about latest version, but last time i did some tests, importers didn't work

    bypass
    import in 2.79, save as blend, open in 2.8 (as D3Pixel noted above)



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •